changeset 1614:04703504abee

<fizzie> echo \'$n=shift @ARGV; $n=~s/ *$//; @f=split /\\s+/, `ls -r /var/irclogs/_esoteric/????-??-??.txt | head -n 5`; for $f (@f) { open F,"<$f"; @l=grep(/^..:..:..: <$n>/i,<F>); close F; if (@l) { $b=$f; $b=~s#.*/(.*?).txt#$1#; print "$b $l[-1]"; exit 1; } } print "not lately";\' >> bin/seen2
author HackBot
date Tue, 22 Jan 2013 10:23:33 +0000
parents 2247f569f099
children c9dec74a72e7
files bin/seen2
diffstat 1 files changed, 1 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- a/bin/seen2	Tue Jan 22 10:23:29 2013 +0000
+++ b/bin/seen2	Tue Jan 22 10:23:33 2013 +0000
@@ -1,1 +1,2 @@
 #! /usr/bin/env perl
+$n=shift @ARGV; $n=~s/ *$//; @f=split /\s+/, `ls -r /var/irclogs/_esoteric/????-??-??.txt | head -n 5`; for $f (@f) { open F,"<$f"; @l=grep(/^..:..:..: <$n>/i,<F>); close F; if (@l) { $b=$f; $b=~s#.*/(.*?).txt#$1#; print "$b $l[-1]"; exit 1; } } print "not lately";